var menu_timeout_id = {};
var menuStateObject = {
	openedId: 0,
	openTimerTabId: false,
	closeTimerMenuId: false,
	onTab: false,
	onMenu: false,
	isMenuOpened: false,
	setOnMenu: function(e,menuId){
		this.onMenu = e;
		if(e)
		{
			clearTimeout(this.closeTimerMenuId);
		}
		else
		{
			this.closeTimerMenuId = setTimeout('closeDescription()',300);
		}
	},
	setOnTab: function(e,menuId){
		this.onTab = e;
		if(e)
		{
			if(this.isMenuOpened && menuId!= this.openedId){

				if(this.isMenuOpened){

					closeDescription();
					if(this.closeTimerMenuId){
						clearTimeout(this.closeTimerMenuId);
						this.closeTimerMenuId = false;
					}
				}
				this.openedId = menuId;
				openDescription(menuId);
			}
			else{

				closeDescription();
				this.closeTimerMenuId = false;
				this.openTimerTabId= setTimeout('openDescription('+menuId+');',300);

			}
		}
		else{

			this.onTab = false;
			clearTimeout(this.openTimerTabId);
			this.closeTimerMenuId = setTimeout('closeDescription()',300);
		}
	}
}
function closeDescription(){
	clearTimeout(menuStateObject.closeTimerMenuId);
	$(".MenuDescription").css("display","none");
	menuStateObject.isMenuOpened = false;
	menuStateObject.closeTimerMenuId = false;

}

function openDescription(menuId){
	//if(typeof(menuId)!=='number'/* || typeof(menuId)!=='string'*/){
	//	$(menuId).css("display","block");
		
	//}else{
	//if(menuId != -1){
		$("#menu_description_"+menuId).css("display","block");
		//console.log($("#menu_description_"+menuId));
	/*}
	else{
		$(this).addClass("active");
		console.log('chlen');
		$("#dropdown_menu").css("display","block");
	}*/
	//}
	menuStateObject.isMenuOpened = true;
	menuStateObject.openedId     = menuId;
	clearTimeout(menuStateObject.closeTimerMenuId);
}

$(document).ready(function (){
	
	if(window.location.pathname == "/"){
		$("#logo").click(function () {
			return false;
		});
	}
	
	$(function() {
		$( "#vkladtabs" ).tabs();
	});

	$("#headerMenu .hasDescription").mouseenter(function(){
		var id = parseInt($(this).attr('id').substring(5));

		menuStateObject.setOnTab(1,id);
	}).mouseleave(function(){
		var id = parseInt($(this).attr('id').substring(5));
		menuStateObject.setOnTab(0,id);
	});
	//$("#header_menu_description .MenuDescription").mouseenter(function(){
	$(".MenuDescription").mouseenter(function(){
		menuStateObject.setOnMenu(1,$(this).attr('id'));
	}).mouseleave(function(){
		menuStateObject.setOnMenu(0,$(this).attr('id'));
	});

	//Выпадение больного меню
	/*$("#home_btn, #home_btn img").toggle(function(){
		$(this).addClass("active");
		$("#dropdown_menu").css("display","block");
	},function(){
		$(this).removeClass("active");
		$("#dropdown_menu").css("display","none");
	});
	
	$("html").click(function () {
		$("#home_btn.active").removeClass("active");
		$("#dropdown_menu").css("display","none");
	});
	
	$("#dropdown_men").click(function (event) {
		event.stopPropagation();
	});*/
	
	//Акордион в страницах
	/*$(".spoiler_content").accordion({
      collapsible: true,
	  active: false,
	  heightStyle: "content"
    });*/
	$(".spoiler_content h3").css("cursor","pointer");
	$(".spoiler_content h3").next("div").css("display","none");
	$(".spoiler_content h3").click(function() {
		if($(this).next("div").css("display") == "block") {
			$(this).next("div").css("display","none");
		} else {
			$(this).next("div").css("display","block");
		}
	});
	$( "#accordion" ).accordion({
      collapsible: true
    });
	
	//ie7 поиск фокус фак
	if ($.browser.msie === true) {
	 $("input")
	  .bind("focus", function() {
	   $(this).addClass("ieFocusHack");
	  }).bind("blur", function() {
	   $(this).removeClass("ieFocusHack");
	  });
	}


	//Выпадающее меню калькулятора
	

	$("#contact_us").click(function() {
		$("#fader").css("display","block");
		$("#contact_us_modal").css("display","block");
		$("body").css("overflow","hidden");			
		return false;
	});
	$("#internet_bank").click(function() {
		$("#fader").css("display","block");
		$("#enter_sandman").css("display","block");
		$("body").css("overflow","hidden");			
		return false;
	});

	$(".more_about_atm").click(function() {

		$.post($(this).attr('href'),'',function(data){
			$("#fader").css("display","block");
			$(".modal_atm").html(data);
			$(".modal_atm").css("display","block");
			$("body").css("overflow","hidden");
			mapInit();
		});
		
		return false;
	});
	
	$("#fader, .cloase_modal").live("click",function() {
		$("#fader").css("display","none");
		$(".modal_atm").css("display","none");
		$("#contact_us_modal").css("display","none");
		$("#enter_sandman").css("display","none");
		$("body").css("overflow","auto");
		return false;
	});

	$(".bank_id").click(function(){

		if($("#show_zkb").attr("checked")=="checked"){
			$($("#show_zkb").attr('data-bank')).fadeIn();
		}else{
			$($(this).attr('data-bank')).fadeOut();
		}

		if($("#show_zenit").attr("checked")=="checked"){
			$($("#show_zenit").attr('data-bank')).fadeIn();
		}else{
			$($(this).attr('data-bank')).fadeOut();
		}
	});
	$(document).ready(function() {
/*		
	$.reject({
		reject: {
			msie6: true, 		// Microsoft Internet Explorer		
			konqueror: true, 	// Konqueror (Linux)
			unknown: true 		// Everything else
		},
		display: ['firefox','chrome','opera','safari'],
		browserShow: true,
		imagePath: '/images/reject/',
		browserInfo: {
			firefox: {
				text: 'Firefox 16',
				url: 'http://www.mozilla.com/firefox/'
			},
			safari: {
				text: 'Safari 5',
				url: 'http://www.apple.com/safari/download/'
			},
			opera: {
				text: 'Opera 12',
				url: 'http://www.opera.com/download/'
			},
			chrome: {
				text: 'Chrome 22',
				url: 'http://www.google.com/chrome/'
			}
		},
		header: 'А вы знаете, что ваш браузер устарел?',
		paragraph1: 'Ваш браузер устарел и не совместим с данным сайтом. Пожалуйста, скачайте и установите один из предложенных ниже браузеров.',
		paragraph2: 'Нажмите на икоку, что бы перейти на страницу загрузки.',
		close: true,
		closeMessage: 'Закрывая это окно вы соглашаетесь с тем что сайт может работать не корректно.',
		closeLink: 'Закрыть окно',
		closeURL: '#',
		closeESC: true,
		closeCookie: true,
		cookieSettings: {
			path: '/',
			expires: 0
		}
	});
	*/
	});
	
	$(".infoblok_clients.infoblok_deposits table tr:odd td").css("background-color", "#f5f5f5");
});